/**
 * Copyright (c) 2013-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @providesModule addEntityToEntityMap
 * @format
 * @flow
 */

'use strict';

import type DraftEntityInstance from 'DraftEntityInstance';
import type {OrderedMap} from 'immutable';
// TODO: when removing the deprecated API update this to use the EntityMap type
// instead of OrderedMap

let key = 0;

function addEntityToEntityMap(
  entityMap: OrderedMap<*, *>,
  instance: DraftEntityInstance,
): OrderedMap<*, *> {
  return entityMap.set(`${++key}`, instance);
}

module.exports = addEntityToEntityMap;
